#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		major		%(echo %{version} | cut -d '.' -f1)
%define		minor		%(echo %{version} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	gnuplot
Version		:	5.4.2
Release		:	16.2.1.rel%{?dist}
Summary		:	A program for plotting mathematical expressions and data

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	gnuplot and MIT
URL		:	http://www.gnuplot.info/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-devel
BuildRequires	:	giflib
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libpng-devel
BuildRequires	:	librsvg
BuildRequires	:	lua-devel
BuildRequires	:	pango
BuildRequires	:	texinfo
BuildRequires	:	xorg-libX11
BuildRequires	:	xorg-libXt
BuildRequires	:	zlib-devel
#-----------------------------------------------------------------------------
%description
Gnuplot is a command-line driven, interactive function plotting
program especially suited for scientific data representation.  Gnuplot
can be used to plot functions and data points in both two and three
dimensions and in many different formats.
	
Install gnuplot if you need a graphics package for scientific data
representation.
	
This package provides a Qt based terminal version of gnuplot.
 
#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libexecdir}/%{name}/%{major}.%{minor}/%{name}_x11

#=============================================================================
%package		common
Summary		:	The common gnuplot parts

#-----------------------------------------------------------------------------
%description		common
Gnuplot is a command-line driven, interactive function plotting
program especially suited for scientific data representation.  Gnuplot
can be used to plot functions and data points in both two and three
dimensions and in many different formats.

#-----------------------------------------------------------------------------
%files 			common
%defattr(-,root,root,-)
%{_datadir}/%{name}/%{major}.%{minor}/app-defaults/Gnuplot
%{_datadir}/%{name}/%{major}.%{minor}/%{name}.gih
%{_datadir}/%{name}/%{major}.%{minor}/%{name}rc
%{_datadir}/%{name}/%{major}.%{minor}/*.gp
%{_datadir}/%{name}/%{major}.%{minor}/PostScript/*.ps
%{_datadir}/%{name}/%{major}.%{minor}/PostScript/aglfn.txt
%{_datadir}/%{name}/%{major}.%{minor}/js/README
%{_datadir}/%{name}/%{major}.%{minor}/js/*.css
%{_datadir}/%{name}/%{major}.%{minor}/js/*.js
%{_datadir}/%{name}/%{major}.%{minor}/js/*.png
%{_datadir}/%{name}/%{major}.%{minor}/lua/*.lua
%{_mandir}/man1/gnuplot.1.gz

#=============================================================================
%package		minimal
Summary		:	Minimal version of program for plotting mathematical expressions and data

#-----------------------------------------------------------------------------
Requires	:       %{name}-common	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		minimal
Gnuplot is a command-line driven, interactive function
plotting program especially suited for scientific data
representation.
Gnuplot can be used to plot functions and data points in
both two and three dimensions and in many different formats.
	
Install gnuplot-minimal if you need a minimal version of
graphics package for scientific data representation.

#-----------------------------------------------------------------------------
%files 			minimal
%defattr(-,root,root,-)

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build
#remove binaries from source tarball
%{__rm} -rf						\
	demo/plugin/*.so				\
	demo/plugin/*.o

%{__mkdir_p} minimal
pushd minimal
%{__ln_s}						\
	../configure 					\
	.

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-wxwidgets				\
	--without-qt 

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C minimal					\
	DESTDIR=%{buildroot}				\
	install


#-----------------------------------------------------------------------------
%changelog
